Skip to main content
GET
/
api
/
dataframer
/
anonymization-runs
/
{run_id}
/
download
Python
import os
from dataframer import Dataframer

client = Dataframer(
    api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
)
response = client.dataframer.anonymization_runs.files.download_all(
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.download_url)
{
  "download_url": "<string>",
  "status": "ready"
}
Async operation: First call triggers ZIP generation with code 202. Poll this same endpoint until you receive 200 with a download_url.

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Path Parameters

run_id
string<uuid>
required

UUID of the completed anonymization run.

Response

Presigned download URL

Response for the async ZIP download endpoint.

download_url
string<uri> | null

Presigned S3 URL to download the ZIP archive. Expires after 1 hour. null when the ZIP is still being generated (status generating).

status
enum<string>

ready when the ZIP is available and download_url is set. generating when ZIP creation is in progress — poll again until ready.

Available options:
ready,
generating